# Easy DB Lib

Welcome to **Easy DB Lib**, a Python library designed to simplify database interactions for small projects. This library allows you to define and manage your database structure using Python dictionaries, making it easy to modify your database schema as your project evolves.

## Features

- **Programmatic Table Definition**: Define your database tables and their relationships using Python dictionaries.
- **Automatic Table Creation**: Automatically create tables in the database if they do not exist.
- **Flexible Queries**: Easily perform CRUD operations and custom queries.
- **PostgreSQL Support**: Specifically designed to work with PostgreSQL databases.


## Contributing

We welcome contributions from the community! To contribute:

1. Fork the repository.
2. Create a new branch with your feature or bugfix.
3. Make your changes and commit them with clear commit messages.
4. Push your changes to your fork.
5. Create a pull request to the main repository.

Please ensure your code adheres to the project's coding standards and includes appropriate tests.
License

This project is licensed under the MIT License. See the LICENSE file for more details.
